Subject: bug#19296: [PATCH] Package archives now have priorities.

From: Jorgen Schaefer <[email-masked]>
Date: Sun, 7 Dec 2014 21:00:38 +0100

On Sun, 7 Dec 2014 19:21:05 +0100
Jorgen Schaefer <[email-masked]> wrote:

> On Sun, 07 Dec 2014 12:56:53 -0500
> Stefan Monnier <[email-masked]> wrote:
>
> > > This can be overridden manually by the user.
> > 
> > An important issue is what happens after the user did such an
> > override. In my above suggestion, the behavior would kind of suck
> > since package-list would then constantly recommend "upgrading" to
> > the official release (since 1.3 is "more uptodate" than
> > "0.0.YYYYMMDD").
> 
> Good point. The correct implementation here would likely move the
> sorting by version number out of the
> `package--add-to-archive-contents' function and into the various
> users of `package-archive-contents', which should sort the list
> depending on their use case. This is a breaking API change and likely
> a good deal more work.

Actually, it should not suggest an upgrade in this case, because the
currently installed version is higher than the highest available one
(package-menu--find-upgrades).

Currently, that method ignores priorities, though, as it uses an
entirely different way of looking up the available packages. I'll
provide a fixed patch.

Regards,
Jorgen